Skip to main content

Get Invoices by Date Range

POST https://pgbiz.omniware.in/v1/getinvoicedetailsbydaterange
Content-Type: application/x-www-form-urlencoded

Request parameters

api_keystring (40)required
date_fromstring (10)required
YYYY-MM-DD.
date_tostring (10)required
YYYY-MM-DD.
phonestring (15)
Optional. Filter by customer phone.
emailstring (50)
Optional. Filter by customer email.
hashstring (255)required

Response

{
"data": [
{
"id": 505660,
"merchant_name": "SBM Wallet",
"invoice no": 947,
"invoice date": "25-Nov-2024",
"due date": "25-Dec-2024",
"currency": "INR",
"invoice_line_details": [
{ "description": "Registration", "amount": "5.10" }
],
"name": "Shivakrishna T",
"phone": "8904124421",
"email": "shivakrishnat095@gmail.com",
"invoice_pay_link": "https://pgbiz.omniware.in/invoice/1a75de95-407d-4b57-b50a-b3e449a365b0",
"net total": "5.10",
"balance_amount": "5.10",
"status": "paid"
}
]
}

Errors:

{ "error": { "code": "GEN-INVALID-HASH", "message": "The hash key field is invalid" } }
{ "error": { "code": "GEN-INVOICE-NOT-FOUND", "message": "Invoice details not found" } }